Bug 1600038 - [UPDATE] update fails with error "The Resource Type (OS::TripleO::Services::ManilaBackendGeneric) could not be found"
Summary: [UPDATE] update fails with error "The Resource Type (OS::TripleO::Services::M...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Steve Baker
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1607143
TreeView+ depends on / blocked
 
Reported: 2018-07-11 09:25 UTC by Raviv Bar-Tal
Modified: 2018-08-20 13:04 UTC (History)
13 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 13:02:42 UTC


Attachments (Terms of Use)
/home/stack files (18.54 MB, application/x-tar)
2018-07-11 09:25 UTC, Raviv Bar-Tal
no flags Details
undercloud mistral logs (3.22 MB, application/x-gzip)
2018-07-24 09:15 UTC, Raviv Bar-Tal
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:04:03 UTC
OpenStack gerrit 542136 None None None 2018-07-31 18:00:36 UTC
OpenStack gerrit 587723 None None None 2018-08-01 09:01:49 UTC
Launchpad 1784624 None None None 2018-08-01 09:01:18 UTC

Description Raviv Bar-Tal 2018-07-11 09:25:47 UTC
Created attachment 1458030 [details]
/home/stack files

Description of problem:
the overcloud_update_setup.sh script exit with an error:
"The Resource Type (OS::TripleO::Services::ManilaBackendGeneric) could not be found"


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. instal osp12 GA
2. Update to passed_phase2 (in this test 2018-06-29.1)
3.

Actual results:
update fails

Expected results:


Additional info:
see attached tar for home/stack files,
more logs and sosreport can be found in the job
http://staging-jenkins2-qe-playground.usersys.redhat.com/view/DFG/view/upgrades/view/update/job/DFG-upgrades-updates-12_director-rhel-7.4-virthost-3cont_2comp_3ceph-ipv4-vxlan-os-7.5/3/artifact/

Comment 1 Jose Luis Franco 2018-07-17 06:21:00 UTC
Hey Raviv, the logs provided are not available anymore. Also, I downloaded the home directory logs and there are not enough data to know what happened. Could you please provide the heat templates version it was installed to? I guess that info can be found in the job logs, so it would be great if you could paste some new logs from the job.

Thanks.

Comment 2 Jose Luis Franco 2018-07-23 13:04:03 UTC
Please provide full logs from the job if possible. The pasted one are not accessible anymore. Thanks

Comment 3 Raviv Bar-Tal 2018-07-24 09:15:05 UTC
Hi Jose,
The mistral log from undercloud is attahced,
Additional logs from overcloud nodes, can be found in the job page on production Jenkins:

https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/DFG-upgrades-updates-12_director-rhel-7.4-virthost-3cont_2comp_3ceph-ipv4-vxlan-os-7.5/16/artifact/


If you need additional info or logs please let me know.
Thanks 
Raviv

Comment 4 Raviv Bar-Tal 2018-07-24 09:15:51 UTC
Created attachment 1470238 [details]
undercloud mistral logs

Comment 5 Jose Luis Franco 2018-07-24 15:26:20 UTC
Hi Raviv, 

This bug seems really similar to this other Yurii opened https://bugzilla.redhat.com/show_bug.cgi?id=1541382 . There is a preparation task inside tripleo-upgrade . The ManilaBackendGeneric service has been deprecated, so we need to remove it from the roles_data.yml, or it would be possible to add the tasks used for major upgrade which convert the roles_data in tripleo-upgrade repo: https://github.com/openstack/tripleo-upgrade/commit/38e9f537f14a1d518ec29c0794730728d4fca365

Comment 6 Tom Barron 2018-07-31 18:16:28 UTC
I updated the External Tracker with the patch that removes the generic driver template from stable/pike.  It is downstream, though not in OSP12 GA.  For updating from GA (which by definition we cannot change) to a later Z-stream where it is fixed perhaps an update doc note indicating to edit as noted above would be appropriate?

Comment 7 Raviv Bar-Tal 2018-08-01 12:06:37 UTC
I order to test and promote the patch I'm trying to deploy fresh osp12 GA on a private setup in TLV lab.
Unfortunately, deployment fails with sporadic errors,
last one I have is: 
"failed: Update does not conform to the configured schema"

Comment 12 errata-xmlrpc 2018-08-20 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.